package Fabrique;

import Pizza.Pizza;
import Pizza.nord.PizzaFromage;
import Pizza.nord.PizzaNordiste;
import Pizza.nord.PizzaFrite;

public class FabriqueDePizzaDuNord implements FabriqueDePizza  {

    @Override
    public Pizza creerPizza(String type) {
        switch (type) {
            case "frite": {
                return new PizzaFrite();
            }
            case "fromage": {
                return new PizzaFromage();
            }
            case "nordiste": {
                return new PizzaNordiste();
            }
            default:
                return null;
         }
    }
}
